<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.pavis.admin.aigc.mapper.AgentMapper">
    <select id="selectByCode" resultType="com.pavis.admin.aigc.model.resp.AgentResp">
        SELECT *
        FROM aigc_agent
        WHERE code = #{code}
    </select>
    
    <select id="selectAgentList" resultType="com.pavis.admin.aigc.model.resp.AgentResp">
        SELECT id,
               name,
               code,
               agent_type,
               description,
               system_prompt,
               next_step_prompt,
               model_id,
               icon,
               config,
               max_steps,
               timeout,
               runtime_status,
               status,
               version,
               create_user,
               create_time,
               update_user,
               update_time
        FROM aigc_agent
        WHERE status = 1
    </select>
</mapper>